onEvent('recipes', event => {
   
   event.remove({ output:'cyclic:item_pipe' }) 
   
   event.remove({ output:'cyclic:fluid_pipe' }) 
   
   
   event.remove({ output:'cyclic:hopper_fluid' }) 
   event.shaped('cyclic:hopper_fluid', [
    "B B",
    "BCB",
    " A "
  ], {
    A: '#minecraft:planks',
    B: 'minecraft:brick',
    C: 'kubejs:gelatum'
  })
   
   event.remove({ output:'cyclic:solidifier' }) 
   
   event.shaped('cyclic:solidifier', [
    "DAD",
    "BCB",
    "AAA"
  ], {
	D: 'thermal:rf_coil', 
    A: 'kubejs:silt',
    B: 'kubejs:advanced_alga_essences_ingot',
    C: 'industrialforegoing:machine_frame_advanced'
  })
   event.remove({ output:'cyclic:harvester' }) 
   
   event.shaped('cyclic:harvester', [
    "DAD",
    "BCB",
    "AAA"
  ], {
	D: 'create:mechanical_harvester', 
    A: 'kubejs:silt',
    B: 'kubejs:advanced_alga_essences_ingot',
    C: 'industrialforegoing:machine_frame_advanced'
  })
   
    event.remove({ output:'cyclic:terra_preta' }) 
   event.shaped('cyclic:terra_preta', [
    " A ",
    "BCB",
    "A A"
  ], {
	  
    A: 'kubejs:silt',
    B: 'kubejs:advanced_alga_essences_ingot',
    C: 'mysticalagriculture:prudentium_farmland'
  })
   
   
   
   
})